Subject: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Sun, 13 Sep 2015 11:02:24 +0200

> I am now able to achieve a frame size of 1920 x 1080 on a screen that
 > is 1920 x 1080; there is no longer any problem with the frame moving
 > when touching the menubar; and the frame title is working as it should
 > be.

This, however, seems to hint at some unplesant locking of the auto hide
menu bar feature with the auto hide frame title feature.  Conceptually,
these should work independently from each other.

 > So, the issue now remaining is how to let `make-frame` respect a frame
 > parameter of `(top . 0)` upon frame creation when a user has `(setq
 > ns-auto-hide-menu-bar t)`.  As it stands now, it is necessary to
 > programmatically call `(set-frame-size FRAME 0 0)` subsequent to each
 > frame being created, and am doing the same each time Emacs starts for
 > the initial frame.

Maybe Anders has an idea why on OS X we apparently ignore the ‘top’ and
‘left’ parameters.

martin